Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.addressing.wsdl
Class WSDL11ActionHelper

    java.lang.Object
      org.apache.axis2.addressing.wsdl.WSDL11ActionHelper

    public class WSDL11ActionHelper

extends Object

The WSDL11ActionHelper provides 3 static methods to determine the correct wsa:Action value from a wsdl4j Input/Output/Fault object. It first attempts to access the wsaw:Action attribute and if that is not found uses the WSDL11DefaultActionPatternHelper to generate and Action based on the Default Action Pattern for WSDL1.1 at http://www.w3.org/TR/2006/WD-ws-addr-wsdl-20060216/#defactionwsdl11

Constructor Summary
`WSDL11ActionHelper()`

Method Summary
`static String` | `getActionFromFaultElement(javax.wsdl.Definition def, javax.wsdl.PortType wsdl4jPortType, javax.wsdl.Operation op, javax.wsdl.Fault fault)` getActionFromFaultElement
`static String` | `getActionFromInputElement(javax.wsdl.Definition def, javax.wsdl.PortType wsdl4jPortType, javax.wsdl.Operation op, javax.wsdl.Input input)` getActionFromInputElement
`static String` | `getActionFromOutputElement(javax.wsdl.Definition def, javax.wsdl.PortType wsdl4jPortType, javax.wsdl.Operation op, javax.wsdl.Output output)` getActionFromOutputElement
`static String` | `getFaultActionFromStringInformation(String targetNamespace, String portTypeName, String operationName, String faultName)`
`static String` | `getInputActionFromStringInformation(String messageExchangePattern, String targetNamespace, String portTypeName, String operationName, String inputName)`
`static String` | `getOutputActionFromStringInformation(String messageExchangePattern, String targetNamespace, String portTypeName, String operationName, String outputName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSDL11ActionHelper

    public WSDL11ActionHelper()

Method Detail

### getActionFromInputElement

    public static String getActionFromInputElement(javax.wsdl.Definition def,
                                                   javax.wsdl.PortType wsdl4jPortType,
                                                   javax.wsdl.Operation op,
                                                   javax.wsdl.Input input)

  getActionFromInputElement

  Parameters:
    `def` - the wsdl:definitions which contains the wsdl:portType
    `wsdl4jPortType` - the wsdl:portType which contains the wsdl:operation
    `op` - the wsdl:operation which contains the input element
    `input` - the input element to be examined to generate the wsa:Action
  Returns:
    either the wsaw:Action from the input element or an action generated using the DefaultActionPattern

### getActionFromOutputElement

    public static String getActionFromOutputElement(javax.wsdl.Definition def,
                                                    javax.wsdl.PortType wsdl4jPortType,
                                                    javax.wsdl.Operation op,
                                                    javax.wsdl.Output output)

  getActionFromOutputElement

  Parameters:
    `def` - the wsdl:definitions which contains the wsdl:portType
    `wsdl4jPortType` - the wsdl:portType which contains the wsdl:operation
    `op` - the wsdl:operation which contains the output element
    `output` - the input element to be examined to generate the wsa:Action
  Returns:
    either the wsaw:Action from the output element or an action generated using the DefaultActionPattern

### getActionFromFaultElement

    public static String getActionFromFaultElement(javax.wsdl.Definition def,
                                                   javax.wsdl.PortType wsdl4jPortType,
                                                   javax.wsdl.Operation op,
                                                   javax.wsdl.Fault fault)

  getActionFromFaultElement

  Parameters:
    `def` - the wsdl:definitions which contains the wsdl:portType
    `wsdl4jPortType` - the wsdl:portType which contains the wsdl:operation
    `op` - the wsdl:operation which contains the fault element
    `fault` - the fault element to be examined to generate the wsa:Action
  Returns:
    either the wsaw:Action from the fault element or an action generated using the DefaultActionPattern

### getInputActionFromStringInformation

    public static String getInputActionFromStringInformation(String messageExchangePattern,
                                                             String targetNamespace,
                                                             String portTypeName,
                                                             String operationName,
                                                             String inputName)

### getOutputActionFromStringInformation

    public static String getOutputActionFromStringInformation(String messageExchangePattern,
                                                              String targetNamespace,
                                                              String portTypeName,
                                                              String operationName,
                                                              String outputName)

### getFaultActionFromStringInformation

    public static String getFaultActionFromStringInformation(String targetNamespace,
                                                             String portTypeName,
                                                             String operationName,
                                                             String faultName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.